namespace eval ::tkribbon {
  
  namespace eval platform {}

  proc ribbon {pathName {toplevel {}}} {
    if {$toplevel eq ""} {
      ## Try to guess the toplevel...
      set parent [join [lrange [split $pathName .] 0 end-1] .]
      if {$parent eq ""} {set parent .}
      set toplevel [winfo toplevel $parent]
    }
    set w [platform::create $pathName $toplevel]
    $w attach
    return $w
  };# ribbon

};# ::tkribbon namespace 
